<?php
$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("_f318226b856b8a65f182" . "6300a281617b" => base64_decode("REVMRVRFIEZST00gcmJfbGlua3MgV0hFUkUgdmFsPWludDppZCBBTkQg" . "dHlwZT0ncm9vbScgQU5EIGJvb2tpbmc9aW50OmJvb2tpbmc="), "_8695e37b2f8e63ab89c46" . "908290193ec" => base64_decode("c2VsZWN0IHJiX2xpbmtzLm9ial9pZCBmcm9tIHJiX2xpbmtzLCByYl9vYmogd2hlcmUgcmJfbGlua3MudmFsPWludDppZCBhbmQgcmJfb2JqLnR5cGU9J2ZhYycgYW5kIHJiX29iai5pc19zdXNwZW5kZWQ9MCBhbmQgcmJfbGlua3Mub2JqX2lkPX" . "JiX29iai5pZCBhbmQgcmJfbGlua3MuYm9va2luZz1pbnQ6Ym9va2luZw=="), "_1044ad6ec3" . "f2b15d20a3b" . "7353cfb4d02" => base64_decode("U0VMRUNUIENPVU5UKCopIEZST00gcmJfb2JqIFdIR" . "VJFIHBpZD1pbnQ6aWQ="), "_2acee84482629451244aab" . "96a01623cd" => base64_decode("cm9vbQ" . "=="), "_934da0e4d27867b72605f2f2" . "a82ddad0" => base64_decode("KGludDppZDEsIHN0cjpr" . "ZXksIGludDppZDIsIDAp"), "_b3a356a0e258224970" . "2c68be9887158b" => base64_decode("KGludDppZDEsICdyb29tJywgaW50Oml" . "kMiwgMCk="), "_e98bb44779e271" . "9d990b12523648e" . "307" => base64_decode("U0VMRUNUIGlkIEZST00gcmJfZXZlbnRzIFdIRV" . "JFIHBpZCA9IC0xIEFORCByb29tX2lkID0gaW50" . "Omlk"), "_5b81cb6cf0bfd990583fc12ddd80cd" . "32" => base64_decode("ZmF" . "j"));
class RBRoom extends RBMainClass
{
    public function __construct($_876ca2097b275e704d71e00d36b3e7c5, $name = 'EmptyName')
    {
        parent::__construct($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_2acee84482629451244aab96a016" . "23cd"], $_876ca2097b275e704d71e00d36b3e7c5, $name);
    }
    public function Load($id)
    {
        parent::Load($id);
        $this->_loadFacilities();
    }
    protected function _loadFacilities()
    {
        global $db;
        $query = $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_8695e37b2f8e63ab" . "89c46908290193ec"];
        $_189840d11056515e52402d1412a0b6e4 = $db->query($query, $this->id, $this->booking);
        while (list($id) = $_189840d11056515e52402d1412a0b6e4->fetchRow()) {
            $this->AddObj($id, $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_5b81cb6cf0" . "bfd990583fc" . "12ddd80cd32"]);
        }
    }
    protected function _createObjInsertString($key, $id)
    {
        if ($key == $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_5b81cb6cf0bfd990583fc12d" . "dd80cd32"]) {
            return new QueryPart($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_b3a356a0e258224" . "9702c68be9887158" . "b"], $id, $this->id);
        }
        return new QueryPart($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_934da0e4d27867b72605" . "f2f2a82ddad0"], $this->id, $key, $id);
    }
    protected function _updateObjList()
    {
        global $db;
        $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_f318226b856b8a65f182" . "6300a281617b"], $this->id, $this->booking);
        parent::_updateObjList();
    }
    function Delete($_ef6f2587bed6ce140025395807730533 = false)
    {
        global $db;
        $_343a395319323dd7609bcbc465b4d034 = $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_e98bb44" . "779e2719" . "d990b125" . "23648e30" . "7"], $this->id)->fetchAllValues();
        foreach ((array) $_343a395319323dd7609bcbc465b4d034 as $id) {
            $this->_facade->DeleteEvent($id);
        }
        parent::Delete();
    }
    public function isEmpty()
    {
        global $db;
        list($_f53d35a1a1e233d98d9ce73d92ab3bb1) = $db->query_row($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_1044ad6ec3f2b15d20a3b" . "7353cfb4d02"], $this->id);
        return $_f53d35a1a1e233d98d9ce73d92ab3bb1 < 1;
    }
}